Bug 116277 - Extraneous blank window opened after File > New > Labels
Summary: Extraneous blank window opened after File > New > Labels
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All Mac OS X (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0 target:6.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-03-07 18:20 UTC by Ted Lee
Modified: 2018-03-23 03:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ted Lee 2018-03-07 18:20:56 UTC
1. Create a new Writer document or open an existing one.
2. Select File > New > Labels
3. An untitled blank window comes up, completely obscuring the labels dialogue.  Sometimes it fills the whole screen (menu bar to dock), sometimes maybe half of it, roughly centered.

The blank window cannot be closed (dismissed) but it can be moved, resized, or minimized (sent to the dock), allowing access to the labels dialogue.  Until the labels dialogue is closed LibreOffice cannot be quit, which is probably the expected behavior.  When the labels dialogue is closed, the blank window goes away.

Bug is not present in 5.4.5 or 3.3 but it is still present in 6.0.2.1

The bug does not prevent labels from working, but it is a nuisance to have to deal with the blank window.
Comment 1 Dieter Praas 2018-03-07 19:18:02 UTC
I can't reproduce it in Win10

Version: 6.1.0.0.alpha0+ (x64)
Build ID: d64ce643275e0b2b0dea9e532fc261391dc8793c
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-03-01_03:24:30
Locale: de-DE (de_DE); Calc: CL
Comment 2 Ted Lee 2018-03-07 20:17:17 UTC
Presumably it's only on Macs.  I'm running on the latest Mac OS (High Sierra) but I have a couple of Macs that run older versions and when I get a chance I'll try it on those to see if the OS version matters (but I think that's unlikely in this case.)
Comment 3 Ted Lee 2018-03-07 22:34:41 UTC
OK. Just checked. Same problem on MacOS 10.12.6 (Sierra).  It won't run on my machine that has the even older system, 10.6.8, Snow Leopard.
Comment 4 Alex Thurgood 2018-03-09 08:40:09 UTC
Confirming with

Version: 6.1.0.0.alpha0+
Build ID: 9122f4598450d8a96e63fb29cc8166a6ae09587a
CPU threads: 4; OS: Mac OS X 10.13.3; UI render: default; 
Locale: fr-FR (fr_FR.UTF-8); Calc: group
Comment 5 Xisco Faulí 2018-03-12 11:06:05 UTC
Reproduced in

Version: 6.0.0.0.alpha1+
Build ID: 6eeac3539ea4cac32d126c5e24141f262eb5a4d9
CPU threads: 8; OS: Mac OS X 10.13.3; UI render: default; 
Locale: en-US (en_ES.UTF-8); Calc: group threaded
Comment 6 Xisco Faulí 2018-03-12 11:22:17 UTC
Not reproduced in

Version: 5.4.5.1
Build ID: 79c9829dd5d8054ec39a82dc51cd9eff340dbee8
CPU threads: 8; OS: Mac OS X 10.13.3; UI render: default; 
Locale: en-US (en_ES.UTF-8); Calc: group
Comment 7 Xisco Faulí 2018-03-12 11:37:41 UTC
In gtk, there's also an empty window displayed, but it's displayed behind the labels' dialog.

Bisecting it on Linux, it points me to:

author	Caolán McNamara <caolanm@redhat.com>	2017-11-23 14:05:26 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2017-11-24 09:55:17 +0100
commit	6f31670783b3445a8073bd49fe4c041b655e91b3 (patch)
tree	3cbfc77e7f9e8191c6eaded7f92633f9808ba414
parent	99534540df148513fc0bb9622b7285e10b285ccb (diff)
set new document window as parent for dialogs during load
and exit typedetection early and completely if application quits
while detecting

During typedetection, before loading proper, we have the hidden window as
parent so warnings are not modal to existing windows and they are cancelled on
exit.

Once we do have a window, then reinit interaction handler to have that window
as the parent for any further dialogs.

Bisected with: bibisect-linux64-6.0

Adding Cc: to Caolán McNamara
Comment 8 Caolán McNamara 2018-03-12 15:31:54 UTC
exicitingly the label/business card feature launches the frame which will have the final contents before the dialog which will fill it, rather than wait until "new document" is used
Comment 9 Commit Notification 2018-03-12 23:32:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fc4dfdc9f5ee5ae408f0177d2aaa6ad16d28ca05

tdf#116277 blank frame into which document will load shown too early

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2018-03-16 09:57:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be83e928279bf3c6ae3fd316571d02dc452b45e8&h=libreoffice-6-0

tdf#116277 blank frame into which document will load shown too early

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Ted Lee 2018-03-16 21:32:19 UTC
A quick test confirms that this bug has indeed been fixed. If only all bugs could be fixed so quickly!

I followed the steps in the bug report and no extraneous window showed up.  I was able to create several pages of labels from an address file I have, including conditionally hidden paragraphs (to suppress blank lines) and it all seemed to work just fine. I do have one observation that I should make as a suggestion for the help files:  if the font (or possibly line length -- haven't tried that) is too large for a label to fit in the space allotted to it, the results are unpredictable at best and may even result in the program hanging.

version tested --

Version: 6.1.0.0.alpha0+
Build ID: 8e8dd8f320a3ff59ff8a16c1a7a867888ce80700
CPU threads: 4; OS: Mac OS X 10.13.3; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-03-13_23:59:29
Locale: en-US (en_US.UTF-8); Calc: group
Comment 12 Ted Lee 2018-03-23 03:46:29 UTC
Also fixed in 6.0.4.0